<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-33"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBase%2FDefine%2FBunessBlockTypeDefines.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Define/BunessBlockTypeDefines.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_buness_block_type_defines_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BunessBlockTypeDefines.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_buness_block_type_defines_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  BunessBlockTypeDefines.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by 怒煮西兰花 on 2018/5/24.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="_buness_block_type_defines_8h.html#a8a86750c797878a988393323b11bd368">    9</a></span>&nbsp;<span class="comment"></span><span class="keyword">typedef</span> void(^<a class="code" href="_buness_block_type_defines_8h.html#a8a86750c797878a988393323b11bd368">BigDataClickEventsVoidCallBack</a>)(void);</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="_buness_block_type_defines_8h.html#abfd8a1fd0d7b9ee15a8cf053231044e1">   11</a></span>&nbsp;<span class="keyword">typedef</span> void(^<a class="code" href="_buness_block_type_defines_8h.html#abfd8a1fd0d7b9ee15a8cf053231044e1">BigDataClickEventsBOOLCallBack</a>)(BOOL);</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="_buness_block_type_defines_8h.html#a67cd31c7ea23c21419fe8ffeac172762">   13</a></span>&nbsp;<span class="keyword">typedef</span> void(^<a class="code" href="_buness_block_type_defines_8h.html#a67cd31c7ea23c21419fe8ffeac172762">BigDataClickEventsNSIntegerCallBack</a>)(NSInteger);</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="_buness_block_type_defines_8h.html#a661c47fa5f1e435d185a798c37b0e219">   15</a></span>&nbsp;<span class="keyword">typedef</span> void (^<a class="code" href="_buness_block_type_defines_8h.html#a661c47fa5f1e435d185a798c37b0e219">GVoidClickCallBack</a>)(void);</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="_buness_block_type_defines_8h.html#ac12a7b5f31f98e3e6ab72c9756086039">   17</a></span>&nbsp;<span class="keyword">typedef</span> void (^<a class="code" href="_buness_block_type_defines_8h.html#ac12a7b5f31f98e3e6ab72c9756086039">GVoidBtnClickCallBack</a>)(UIButton *btn);</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_buness_block_type_defines_8h_html_ac12a7b5f31f98e3e6ab72c9756086039"><div class="ttname"><a href="_buness_block_type_defines_8h.html#ac12a7b5f31f98e3e6ab72c9756086039">GVoidBtnClickCallBack</a></div><div class="ttdeci">void(^ GVoidBtnClickCallBack)(UIButton *btn)</div><div class="ttdoc">按钮点击事件 button参数无返回值</div><div class="ttdef"><b>Definition:</b> BunessBlockTypeDefines.h:17</div></div>
<div class="ttc" id="a_buness_block_type_defines_8h_html_a8a86750c797878a988393323b11bd368"><div class="ttname"><a href="_buness_block_type_defines_8h.html#a8a86750c797878a988393323b11bd368">BigDataClickEventsVoidCallBack</a></div><div class="ttdeci">void(^ BigDataClickEventsVoidCallBack)(void)</div><div class="ttdoc">大数据埋点 按钮事件回调 无参数回调</div><div class="ttdef"><b>Definition:</b> BunessBlockTypeDefines.h:9</div></div>
<div class="ttc" id="a_buness_block_type_defines_8h_html_a661c47fa5f1e435d185a798c37b0e219"><div class="ttname"><a href="_buness_block_type_defines_8h.html#a661c47fa5f1e435d185a798c37b0e219">GVoidClickCallBack</a></div><div class="ttdeci">void(^ GVoidClickCallBack)(void)</div><div class="ttdoc">按钮点击事件 无参数无返回值</div><div class="ttdef"><b>Definition:</b> BunessBlockTypeDefines.h:15</div></div>
<div class="ttc" id="a_buness_block_type_defines_8h_html_a67cd31c7ea23c21419fe8ffeac172762"><div class="ttname"><a href="_buness_block_type_defines_8h.html#a67cd31c7ea23c21419fe8ffeac172762">BigDataClickEventsNSIntegerCallBack</a></div><div class="ttdeci">void(^ BigDataClickEventsNSIntegerCallBack)(NSInteger)</div><div class="ttdoc">大数据埋点 按钮事件回调 NSInteger值参数</div><div class="ttdef"><b>Definition:</b> BunessBlockTypeDefines.h:13</div></div>
<div class="ttc" id="a_buness_block_type_defines_8h_html_abfd8a1fd0d7b9ee15a8cf053231044e1"><div class="ttname"><a href="_buness_block_type_defines_8h.html#abfd8a1fd0d7b9ee15a8cf053231044e1">BigDataClickEventsBOOLCallBack</a></div><div class="ttdeci">void(^ BigDataClickEventsBOOLCallBack)(BOOL)</div><div class="ttdoc">大数据埋点 按钮事件回调 BOOL值参数</div><div class="ttdef"><b>Definition:</b> BunessBlockTypeDefines.h:11</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e594291297641f362044084ee3bd79c2.html">Base</a></li><li class="navelem"><a class="el" href="dir_5b328c48b3da945f8bff47b8f58e015b.html">Define</a></li><li class="navelem"><a class="el" href="_buness_block_type_defines_8h.html">BunessBlockTypeDefines.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>